Results 1 to 10 of 10
  1. #1
    Join Date
    Mar 2006
    Posts
    86
    Plugin Contributions
    0

    Default Linkpoint Api Module Missing in v155a

    Hi,
    I am using Zen Cart v150 right now and it is working properly.
    I try to upgrade to ZC v155a. I cannot find the Linkpoint API module in the modules/payment/ folder.
    The new version have authorizenet, PayPal and sagepay_zc only.
    Is there a newer version for linkpoint/First Data that works better than linkpoint API, or I have to find the module and install it myself?
    Please help me figure this out.
    Thank you
    Our New Zen cart: www.EmbroideryPortraits.com/Gifts/
    www.vodmochka.com/Embroidery_Designs
    All critics and suggestions are welcome!

  2. #2
    Join Date
    Jul 2012
    Posts
    16,436
    Plugin Contributions
    17

    Default Re: Linkpoint Api Module Missing in v155a

    No, effectively it was retired.

    From the what's new section of the ZC documentation for 1.5.5: https://zen-cart.com/docs

    Payment: Retired obsolete Linkpoint_API payment module (replaced by the new Payeezy JS module)
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  3. #3
    Join Date
    Jan 2004
    Posts
    66,350
    Blog Entries
    7
    Plugin Contributions
    271

    Default Re: Linkpoint Api Module Missing in v155a

    Two modules: Payeezy JS and Hosted Payment Pages are both built in to v1.5.5
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  4. #4
    Join Date
    Mar 2006
    Posts
    86
    Plugin Contributions
    0

    Default Re: Linkpoint Api Module Missing in v155a

    DrByte,
    I try to update our shopping carts since May/22/2016 to the latest version of ZenCart (v155a) using the Payeezy payment module.
    I got approval for the Payeezy developer account, I added my First Data account to this and installed the module to the shopping cart.
    The module does not work without the TransArmor token which I could not get from First Date as of today. I am unable to talk to the account representative, even emails take days to get an answer. It seems First Data people have no idea what the ZenCart Payeezy Payment Module needs to function.
    Currently I am using the Linkpoint Gateway with ZenCart.
    Is there a way to put a Linkpont API module in the new Zencart ZC v155a until First Date sorts out the Payeezy Gateway problems?
    Please help me understand what I can or cannot do since my technical expertise lacking in this area.
    Thank you,
    Our New Zen cart: www.EmbroideryPortraits.com/Gifts/
    www.vodmochka.com/Embroidery_Designs
    All critics and suggestions are welcome!

  5. #5
    Join Date
    Mar 2005
    Posts
    84
    Plugin Contributions
    0

    Default Re: Linkpoint Api Module Missing in v155a

    Is the Payeezy API payment module working for anyone?

  6. #6
    Join Date
    Jan 2004
    Posts
    66,350
    Blog Entries
    7
    Plugin Contributions
    271

    Default Re: Linkpoint Api Module Missing in v155a

    Yes, if you've upgraded to the latest version of it: Payeezy JS / FirstData Gateway for Zen Cart
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  7. #7
    Join Date
    Mar 2005
    Posts
    84
    Plugin Contributions
    0

    Default Re: Linkpoint Api Module Missing in v155a

    Thanks DrByte, Is Zen Cart v154, PCI compliant using the older v154 Linkpoint API?

  8. #8
    Join Date
    Jan 2004
    Posts
    66,350
    Blog Entries
    7
    Plugin Contributions
    271

    Default Re: Linkpoint Api Module Missing in v155a

    Quote Originally Posted by charmlt View Post
    Thanks DrByte, Is Zen Cart v154, PCI compliant using the older v154 Linkpoint API?
    Requires a few patches to CURL parameters for tighter security.
    But the bigger problem is that Linkpoint is retiring that whole service this year. So you're better off switching to the new one.
    If you're having troubles with the Payeezy module, start a discussion for those issues in its own thread.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  9. #9
    Join Date
    Mar 2005
    Posts
    84
    Plugin Contributions
    0

    Default Re: Linkpoint Api Module Missing in v155a

    Retired service will be reason enough. Guess I will need my thinking cap again.

    Thanks,
    Mark

  10. #10
    Join Date
    Mar 2006
    Posts
    86
    Plugin Contributions
    0

    Default Re: Linkpoint Api Module Missing in v155a

    Hi, I installed the latest version of ZenCart and the built-in Payeezy API (without patches) did not work.
    I contacted Payeezy Tech support and also ZenCart, and DrByte revised the "Payeezy API" payment module.

    I replaced the files in the updated version put in the supplied Keys, Passwords and Tokens and it seems the Payeezy payment Module is working fine.

    I did not go live with the new version, because I still have to integrate the changes that we made on the website in the mean time.
    Our New Zen cart: www.EmbroideryPortraits.com/Gifts/
    www.vodmochka.com/Embroidery_Designs
    All critics and suggestions are welcome!

 

 

Similar Threads

  1. CURL functions not found - required for Linkpoint API payment module
    By batwyj in forum Built-in Shipping and Payment Modules
    Replies: 1
    Last Post: 5 Jul 2007, 05:42 AM
  2. Linkpoint API - Module is in testing mode? after upgrade
    By Zeit in forum Built-in Shipping and Payment Modules
    Replies: 2
    Last Post: 26 Apr 2007, 03:36 AM
  3. CURL functions not found - required for Linkpoint API payment module
    By raino in forum Managing Customers and Orders
    Replies: 1
    Last Post: 2 Dec 2006, 04:19 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR